<?php 

session_start();

include_once("../../../system/conexao.php");


$tipo_veiculo      = $_POST['tipo_veiculo'];
$estilo            = $_POST['estilo'];
$placa             = $_POST['placa'];
$km                = $_POST['km'];
$renavan           = $_POST['renavan'];
$chassis           = $_POST['chassis'];
$cor               = $_POST['cor'];
$ano               = $_POST['ano'];
$seguro            = str_replace(',','.', str_replace('.','', $_POST['seguro']));
$ipva              = str_replace(',','.', str_replace('.','', $_POST['ipva']));
$seguro_obri       = str_replace(',','.', str_replace('.','', $_POST['seguro_obri']));
$licenciamento     = str_replace(',','.', str_replace('.','', $_POST['licenciamento']));
$vencimento_doc    = $_POST['vencimento_doc']?: null;
$cap               = $_POST['cap'];
$combustivel       = $_POST['combustivel'];
$financeira        = $_POST['financeira'];
$valor_financiado  = str_replace(',','.', str_replace('.','', $_POST['valor_financiado']));
$inicio_gto        = $_POST['inicio_gto'];
$parcelas          = $_POST['parcelas'];
$parcelas_vencer   = $_POST['parcelas_vencer'];
$valor_vencer      = str_replace(',','.', str_replace('.','', $_POST['valor_vencer']));
$valor_pago        = str_replace(',','.', str_replace('.','', $_POST['valor_pago']));
$nlacre            = $_POST['nlacre'];
$v_tacofrafo       = $_POST['v_tacofrafo'] ?: null;
$situacao          = $_POST['situacao'];
$contrato          = $_POST['contrato'];
$rastreador        = $_POST['rastreador'];
$empresar          = $_POST['empresar'];
			//consultando se email e cpf já estão cadastrados 


if ($placa == '') {
	echo "Informe a placa do veículo";
	exit();
}

if ($km == '') {
	echo "Informe o KM do veículo";
	exit();
}

if ($rastreador == '') {
	echo "Informe o veículo é rastreado";
	exit();
}



$res = $pdo->query("SELECT * FROM veiculos WHERE placa = '$placa' ");
$dados = $res->fetchAll(PDO::FETCH_ASSOC);
$linha = count($dados);

if ($linha > 0) {
	$placa2 = $dados[0]['placa'];

}

if ($placa == @$placa2) {

	echo "Desculpe, mais essa placa já está cadastrado!";

	exit();
}

$res = $pdo->prepare("INSERT INTO veiculos (tipo_veiculo,estilo,placa,km,renavan,chassis, cor,ano,seguro,ipva,seguro_obri,licenciamento,vencimento_doc,cap,combustivel,financeira,valor_financiado,inicio_gto,parcelas,parcelas_vencer,valor_vencer,valor_pago,nlacre, v_tacofrafo,situacao,contrato,rastreador,empresar) values (:tipo_veiculo, :estilo, :placa, :km, :renavan, :chassis, :cor, :ano, :seguro, :ipva, :seguro_obri, :licenciamento, :vencimento_doc, :cap, :combustivel, :financeira, :valor_financiado, :inicio_gto, :parcelas, :parcelas_vencer, :valor_vencer, :valor_pago, :nlacre, :v_tacofrafo, :situacao, :contrato, :rastreador, :empresar)");

		$res->bindValue(":tipo_veiculo", $tipo_veiculo);
		$res->bindValue(":estilo", $estilo);
		$res->bindValue(":placa", $placa);
		$res->bindValue(":km", $km);
		$res->bindValue(":renavan", $renavan);
		$res->bindValue(":chassis", $chassis);
		$res->bindValue(":cor", $cor);
		$res->bindValue(":ano", $ano);
		$res->bindValue(":seguro", $seguro);
		$res->bindValue(":ipva", $ipva);
		$res->bindValue(":seguro_obri", $seguro_obri);
		$res->bindValue(":licenciamento", $licenciamento);
		$res->bindValue(":vencimento_doc", $vencimento_doc);
		$res->bindValue(":cap", $cap);
		$res->bindValue(":combustivel", $combustivel);
		$res->bindValue(":financeira", $financeira);
		$res->bindValue(":valor_financiado", $valor_financiado);
		$res->bindValue(":inicio_gto", $inicio_gto);
		$res->bindValue(":parcelas", $parcelas);
		$res->bindValue(":parcelas_vencer", $parcelas_vencer);
		$res->bindValue(":valor_vencer", $valor_vencer);
		$res->bindValue(":valor_pago", $valor_pago);
		$res->bindValue(":nlacre", $nlacre);
		$res->bindValue(":v_tacofrafo", $v_tacofrafo);
		$res->bindValue(":situacao", $situacao);
		$res->bindValue(":contrato", $contrato);
		$res->bindValue(":rastreador", $rastreador);
        $res->bindValue(":empresar", $empresar);

		$res->execute();

		// INICIA O LOG---------------------------------------
		$data = date('Y-m-d');	
		$hora = date('H:i:s');
		$no = $_SESSION['nome_usuario'];
		$us =  $_SESSION['email_usuario'];
		$ip = $_SERVER['REMOTE_ADDR'];
		$op="CADASTROU VEÍCULO NO SISTEMA - {$placa}";
		$res = $pdo->prepare("INSERT INTO log (usuario, nome, data, hora, op, ip) values (:us, :no, :data, :hora, :op, :ip)");

		$res->bindValue(":us", $us);
		$res->bindValue(":no", $no);
		$res->bindValue(":data", $data);
		$res->bindValue(":hora", $hora);
		$res->bindValue(":op", $op);
		$res->bindValue(":ip", $ip);

		$res->execute();
		// FIM DO LOG-----------------------------------------

		echo "Cadastrado com Sucesso!!";



?>