<?php
include('conexao.php');

session_start();

if (!isset($_SESSION['nivel_usuario'])) {
  echo "<script language='javascript'>window.location='../../../index.php'; </script>";
  exit();
}

$status = 10;

@$dataInicial = $_GET['dataInicial'];
@$dataFinal = $_GET['dataFinal'];

$dataIni = implode('/', array_reverse(explode('-', $dataInicial)));
$dataFin = implode('/', array_reverse(explode('-', $dataFinal)));
?>

<!DOCTYPE html>
<html>

<head>
  <title>Movimentações - Contrato</title>
  <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no' name='viewport' />
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" href="css.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.11/jquery.mask.min.js"></script>
</head>

<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href=".../../../../index.php"><big><big><i class="fa fa-arrow-left"></i></big></big></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#conteudoNavbarSuportado" aria-controls="conteudoNavbarSuportado" aria-expanded="false" aria-label="Alterna navegação">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="conteudoNavbarSuportado">
      <ul class="navbar-nav mr-auto">

      </ul>
      <form class="form-inline my-2 my-lg-0">
        <select class="form-control mr-2" id="category" name="contrato">
          <option value="">Selecione um contrato...</option>
          <?php
          $query = "SELECT * FROM contratos  ORDER BY empresa asc";
          $result = mysqli_query($conexao, $query);

          if (count($result)) {
            while ($res_1 = mysqli_fetch_array($result)) {
          ?>

              <option value="<?php echo $res_1['empresa']; ?>"><?php echo $res_1['empresa']; ?></option>
          <?php
            }
          }
          ?>
        </select>

        <select class="form-control mr-2" id="category" name="status">
          <option value="">Selecione um veículo...</option>
          <?php

          $query = "SELECT * FROM veiculos WHERE placa != '' ORDER BY placa asc";
          $result = mysqli_query($conexao, $query);

          if (count($result)) {
            while ($res_1 = mysqli_fetch_array($result)) {
          ?>
              <option value="<?php echo $res_1['placa']; ?>"><?php echo $res_1['placa']; ?></option>
          <?php
            }
          }
          ?>
        </select>

        <select class="form-control mr-2" id="category" name="cod_vei">
          <option value="">Selecione um veículo...</option>
          <?php

          $query = "SELECT * FROM veiculos WHERE cod != '' ORDER BY cod asc";
          $result = mysqli_query($conexao, $query);

          if (count($result)) {
            while ($res_1 = mysqli_fetch_array($result)) {
          ?>
              <option value="<?php echo $res_1['cod']; ?>"><?php echo $res_1['cod']; ?></option>
          <?php
            }
          }
          ?>
        </select>

        <input name="dataInicial" class="form-control mr-sm-2" type="date" placeholder="Pesquisar" aria-label="Pesquisar">
        <input name="dataFinal" class="form-control mr-sm-2" type="date" placeholder="Pesquisar" aria-label="Pesquisar">

        <button name="buttonPesquisar" class="btn btn-outline-success my-2 my-sm-0" type="submit"><i class="fa fa-search"></i></button>
      </form>
    </div>
  </nav>

  <div class="container">
    <br>
    <div class="row">

    </div>
    <div class="content">
      <div class="row">
        <div class="col-md-12">
          <div class="card">
            <div class="card-header" id="noprint">
              <h4 class="card-title"> <img src="logo.jpeg" alt="" width="130" height="69"></br>Prefeitura Municipal de Santo antônio de pádua</br>sistema de controle de abastecimento </h4>
            </div>

            <div class="card-header">
              <h4 class="card-title"> Movimentações de Abatecimentos </h4>
              <?php

              if ($dataInicial != '') { ?>
                <small><b> Data Inicial:</b> <?php echo $dataIni; ?> <b> Data Final:</b> <?php echo $dataFin; ?> </small>
              <?php } ?>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <!--LISTAR TODOS OS ORÇAMENTOS -->
                <?php
                if (isset($_GET['buttonPesquisar'])) {
                  $dataInicial = $_GET['dataInicial'];
                  $dataFinal = $_GET['dataFinal'];
                  $status = $_GET['status'];
                  $contrato = $_GET['contrato'];

                  if ($dataInicial == '') {
                    $dataInicial = Date('Y-m-d');
                  }

                  if ($dataFinal == '') {
                    $dataFinal = Date('Y-m-d');
                  }

                  if ($_GET['status'] == '' and $_GET['contrato'] == '') {

                    $query = "select * from abastecimentos where data_abast >= '$dataInicial' and data_abast <= '$dataFinal' order by data_abast asc";
                  } elseif ($_GET['dataInicial'] != '' and $_GET['contrato'] != '') {

                    $query = "select * from abastecimentos where data_abast >= '$dataInicial' and data_abast <= '$dataFinal' and contrato = '$contrato' order by data_abast asc";
                  } elseif ($_GET['contrato'] != '') {

                    $query = "select * from abastecimentos where contrato = '$contrato' order by data_abast asc";
                  } elseif ($_GET['dataInicial'] != '' and $_GET['status'] != '') {

                    $query = "select * from abastecimentos where data_abast >= '$dataInicial' and data_abast <= '$dataFinal' and veiculo = '$status' order by data_abast asc";
                  } elseif ($_GET['status'] != '') {

                    $query = "select * from abastecimentos where veiculo = '$status' order by data_abast asc";
                  } elseif ($_GET['dataInicial'] != '' and $_GET['cod_vei'] != '') {

                    $query = "select * from abastecimentos where data_abast >= '$dataInicial' and data_abast <= '$dataFinal' and cod_vei = '$cod_vei' order by data_abast asc";
                  } elseif ($_GET['cod_vei'] != '') {

                    $query = "select * from abastecimentos where cod_vei = '$cod_vei' order by data_abast asc";
                  } else {
                    $query = "select * from abastecimentos where data_abast >= '$dataInicial' and data_abast <= '$dataFinal' and veiculo = '$status' order by data_abast asc";
                  }
                } else {
                  $query = "select * from abastecimentos where MONTH(data_abast) = MONTH(NOW()) order by data_abast asc";
                }

                $result = mysqli_query($conexao, $query);
                //$dado = mysqli_fetch_array($result);
                $row = mysqli_num_rows($result);

                if ($row == '') {
                  echo "<h3> Não existem dados cadastrados no banco </h3>";
                } else {
                ?>
                  <table class="table">
                    <thead class=" text-primary">

                      <th class="text-uppercase">
                        Data
                      </th>
                      <th class="text-uppercase">
                        NR.nota
                      </th>
                      <th class="text-uppercase">
                        cod.
                      </th>
                      <th class="text-uppercase">
                        veiculo
                      </th>
                      <th class="text-uppercase">
                        placa
                      </th>
                      <th class="text-uppercase">
                        km
                      </th>
                      <th class="text-uppercase">
                        tipo
                      </th>
                      <th class="text-uppercase">
                        valor
                      </th>
                      <th class="text-uppercase">
                        litros
                      </th>
                      <th class="text-uppercase">
                        total
                      </th>
                      <th class="text-uppercase">
                        secretaria
                      </th>
                    </thead>
                    <tbody>
                      <?php
                      $total_gastos1 = 0;
                      while ($res_1 = mysqli_fetch_array($result)) {
                        $codigo = $res_1["cod_abast"];
                        $data = $res_1["data_abast"];
                        $veiculo = $res_1["veiculo"];
                        $litros = $res_1["litros"];
                        $contrat = $res_1["contrato"];
                        $valor = $res_1["total_abast"];
                        $km = $res_1["km_atual"];
                        $combu = $res_1["tipo_combu"];
                        $p_litro = $res_1["p_litro"];
                        $litros = $res_1["litros"];
                        $desconto = $res_1["desconto"];
                        $desconto1 = $desconto; //number_format(($desconto), 2, '.', '');

                        $cod_vei = $res_1["cod_vei"];

                        $id = $res_1["id_abastecimento"];

                        $data2 = implode('/', array_reverse(explode('-', $data)));

                        $id = $res_1["id_abastecimento"];

                        $c = count($res_1);

                        $query2 = "select * from veiculos where placa = '" . $veiculo . "' ";
                        $result2 = mysqli_query($conexao, $query2);
                        $res_vendas1 = mysqli_fetch_array($result2);
                        $veiculo2 = $res_vendas1['estilo'];

                        $l1 = $p_litro; //number_format(($p_litro), 3, '.', '');
                        $t1 = $litros;

                        $resu1 = (($l1 * $t1) - $desconto1);
                        $total_gastos1 = $total_gastos1 + $resu1 - $desconto1;
                        $total_gastos3 = floor($resu1 * 100) / 100;
                        //$total_gastos3 = round($resu1, 2);
                      ?>

                        <tr>
                          <td><small><?php echo $data2; ?></small></td>
                          <td>
                            <font color="green"><small><?php echo $codigo; ?></small></font>
                          </td>
                          <td><small><?php echo $cod_vei; ?></small></td>
                          <td><small><?php echo $veiculo2; ?></small></font>
                          </td>
                          <td><small><?php echo $veiculo; ?></small></font>
                          </td>
                          <td><small><?php echo $km; ?></small></td>
                          <td><small><?php echo $combu; ?></small></td>
                          <td><small>R$ <?php echo number_format(($p_litro), 3, ',', '.'); ?></small></td>
                          <td><small><?php echo $litros; ?></small></td>
                          <td><small>R$ <?php echo number_format(($total_gastos3), 2, ',', '.'); ?></small></td>
                          <td><small><?php echo $contrat; ?></small></td>
                        </tr>
                      <?php
                      }
                      ?>
                    </tbody>
                  </table>
                <?php
                }
                ?>
              </div>
            </div>
          </div>
        </div>
      </div>

      <?php

      if ($row == '') {
      } else {
        //TOTALIZAR OS VALORES DE ENTRADAS

        if (isset($_GET['buttonPesquisar'])) {
          $dataInicial = $_GET['dataInicial'];
          $dataFinal = $_GET['dataFinal'];
          $status = $_GET['status'];
          $contrat = $_GET['contrato'];

          if ($dataInicial == '') {
            $dataInicial = Date('Y-m-d');
          }

          if ($dataFinal == '') {
            $dataFinal = Date('Y-m-d');
          }

          if ($_GET['status'] == '' and $_GET['contrato'] == '') {

            $query_entradas = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') order by data_abast asc";

            $query_saidas = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') order by data_abast asc";

            $gasolina = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and tipo_combu = 'Gasolina comum' order by data_abast asc";

            $gasolina_q = "select SUM(litros) as total from abastecimentos where  tipo_combu = 'Gasolina comum' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') order by data_abast asc";

            $gasolina_aditivada = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Gasolina adivitivada' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') order by data_abast asc";

            $gasolina_aditivadaq = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Gasolina adivitivada' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') order by data_abast asc";

            $diesel = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Diesel comum' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') order by data_abast asc";

            $dieselq = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Diesel comum' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') order by data_abast asc";

            $diesel_s10 = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Diesel s10' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') order by data_abast asc";

            $diesel_s10q = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Diesel s10' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') order by data_abast asc";

            $group = "SELECT tipo_combu,p_litro, SUM(litros) As TotalLitros, sum(desconto) as Descontos FROM abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') GROUP BY tipo_combu, p_litro";

            $itens = "SELECT COUNT(*) AS number FROM abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal')";
          } elseif ($_GET['dataInicial'] != '' and $_GET['contrato'] != '') {

            $query_entradas = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and contrato = '$contrato' order by data_abast asc";

            $query_saidas = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and contrato = '$contrato' order by data_abast asc";

            $gasolina = "select SUM(total_abast) as total from abastecimentos where  tipo_combu = 'Gasolina comum' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and contrato = '$contrato' order by data_abast asc";

            $gasolina_q = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Gasolina comum' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and contrato = '$contrato' order by data_abast asc";

            $gasolina_aditivada = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Gasolina adivitivada' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and contrato = '$contrato' order by data_abast asc";

            $gasolina_aditivadaq = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Gasolina adivitivada' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and contrato = '$contrato' order by data_abast asc";

            $diesel = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Diesel comum' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and contrato = '$contrato' order by data_abast asc";

            $dieselq = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Diesel comum' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and contrato = '$contrato' order by data_abast asc";

            $diesel_s10 = "select SUM(total_abast) as total from abastecimentos where  tipo_combu = 'Diesel s10' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and contrato = '$contrato' order by data_abast asc";

            $diesel_s10q = "select SUM(litros) as total from abastecimentos where  tipo_combu = 'Diesel s10' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and contrato = '$contrato' order by data_abast asc";

            $group = "SELECT tipo_combu,p_litro, SUM(litros) As TotalLitros, sum(desconto) as Descontos FROM abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and contrato = '$contrato' GROUP BY tipo_combu, p_litro";

            $itens = "SELECT COUNT(*) AS number FROM abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and contrato = '$contrato'";
          } elseif ($_GET['contrato'] != '') {

            $query_entradas = "select SUM(total_abast) as total from abastecimentos where contrato = '$contrato' order by data_abast asc";

            $query_saidas = "select SUM(total_abast) as total from abastecimentos where contrato = '$contrato' order by data_abast asc";

            $gasolina = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Gasolina comum' and contrato = '$contrato' order by data_abast asc";

            $gasolina_q = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Gasolina comum' and contrato = '$contrato' order by data_abast asc";

            $gasolina_aditivada = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Gasolina adivitivada' and contrato = '$contrato' order by data_abast asc";

            $gasolina_aditivadaq = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Gasolina adivitivada' and contrato = '$contrato' order by data_abast asc";

            $diesel = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Diesel comum' and contrato = '$contrato' order by data_abast asc";

            $dieselq = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Diesel comum' and contrato = '$contrato' order by data_abast asc";

            $diesel_s10 = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Diesel s10' and contrato = '$contrato' order by data_abast asc";

            $diesel_s10q = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Diesel s10' and contrato = '$contrato' order by data_abast asc";

            $group = "SELECT tipo_combu,p_litro, SUM(litros) As TotalLitros, sum(desconto) as Descontos FROM abastecimentos where contrato = '$contrato' GROUP BY tipo_combu, p_litro";

            $itens = "SELECT COUNT(*) AS number FROM abastecimentos where contrato = '$contrato'";
          } elseif ($_GET['dataInicial'] != '' and $_GET['status'] != '') {

            $query_entradas = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' order by data_abast asc";

            $query_saidas = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' order by data_abast asc";

            $gasolina = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Gasolina comum' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' order by data_abast asc";

            $gasolina_q = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Gasolina comum' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' order by data_abast asc";

            $gasolina_aditivada = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Gasolina adivitivada' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' order by data_abast asc";

            $gasolina_aditivadaq = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Gasolina adivitivada' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' order by data_abast asc";

            $diesel = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Diesel comum' order by data_abast asc";

            $dieselq = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Diesel comum' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' order by data_abast asc";

            $diesel_s10 = "select SUM(total_abast) as total from abastecimentos where 
                         tipo_combu = 'Diesel s10' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' order by data_abast asc";

            $diesel_s10q = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Diesel s10' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' order by data_abast asc";

            $group = "SELECT tipo_combu,p_litro, SUM(litros) As TotalLitros, sum(desconto) as Descontos FROM abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' GROUP BY tipo_combu, p_litro";

            $itens = "SELECT COUNT(*) AS number FROM abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status'";
          } elseif ($_GET['status'] != '') {

            $query_entradas = "select SUM(total_abast) as total from abastecimentos where veiculo = '$status' order by data_abast asc";

            $query_saidas = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' order by data_abast asc";

            $gasolina = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' and tipo_combu = 'Gasolina comum' order by data_abast asc";

            $gasolina_q = "select SUM(litros) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' and tipo_combu = 'Gasolina comum' order by data_abast asc";

            $gasolina_aditivada = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' and tipo_combu = 'Gasolina adivitivada' order by data_abast asc";

            $gasolina_aditivadaq = "select SUM(litros) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' and tipo_combu = 'Gasolina adivitivada' order by data_abast asc";

            $diesel = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' and tipo_combu = 'Diesel comum' order by data_abast asc";

            $dieselq = "select SUM(litros) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' and tipo_combu = 'Diesel comum' order by data_abast asc";

            $diesel_s10 = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' and tipo_combu = 'Diesel s10' order by data_abast asc";

            $diesel_s10q = "select SUM(litros) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' and tipo_combu = 'Diesel s10' order by data_abast asc";

            $group = "SELECT tipo_combu,p_litro, SUM(litros) As TotalLitros, sum(desconto) as Descontos FROM abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status' GROUP BY tipo_combu, p_litro";

            $itens = "SELECT COUNT(*) AS number FROM abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and veiculo = '$status'";
          } elseif ($_GET['dataInicial'] != '' and $_GET['cod_vei'] != '') {

            $query_entradas = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' order by data_abast asc";

            $query_saidas = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' order by data_abast asc";

            $gasolina = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Gasolina comum' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' order by data_abast asc";

            $gasolina_q = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Gasolina comum' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' order by data_abast asc";

            $gasolina_aditivada = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Gasolina adivitivada' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' order by data_abast asc";

            $gasolina_aditivadaq = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Gasolina adivitivada' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' order by data_abast asc";

            $diesel = "select SUM(total_abast) as total from abastecimentos where tipo_combu = 'Diesel comum' order by data_abast asc";

            $dieselq = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Diesel comum' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' order by data_abast asc";

            $diesel_s10 = "select SUM(total_abast) as total from abastecimentos where 
                         tipo_combu = 'Diesel s10' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' order by data_abast asc";

            $diesel_s10q = "select SUM(litros) as total from abastecimentos where tipo_combu = 'Diesel s10' and (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' order by data_abast asc";

            $group = "SELECT tipo_combu,p_litro, SUM(litros) As TotalLitros, sum(desconto) as Descontos FROM abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' GROUP BY tipo_combu, p_litro";

            $itens = "SELECT COUNT(*) AS number FROM abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei'";
          } elseif ($_GET['cod_vei'] != '') {

            $query_entradas = "select SUM(total_abast) as total from abastecimentos where cod_vei = '$cod_vei' order by data_abast asc";

            $query_saidas = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' order by data_abast asc";

            $gasolina = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' and tipo_combu = 'Gasolina comum' order by data_abast asc";

            $gasolina_q = "select SUM(litros) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' and tipo_combu = 'Gasolina comum' order by data_abast asc";

            $gasolina_aditivada = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' and tipo_combu = 'Gasolina adivitivada' order by data_abast asc";

            $gasolina_aditivadaq = "select SUM(litros) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' and tipo_combu = 'Gasolina adivitivada' order by data_abast asc";

            $diesel = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' and tipo_combu = 'Diesel comum' order by data_abast asc";

            $dieselq = "select SUM(litros) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' and tipo_combu = 'Diesel comum' order by data_abast asc";

            $diesel_s10 = "select SUM(total_abast) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' and tipo_combu = 'Diesel s10' order by data_abast asc";

            $diesel_s10q = "select SUM(litros) as total from abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' and tipo_combu = 'Diesel s10' order by data_abast asc";

            $group = "SELECT tipo_combu,p_litro, SUM(litros) As TotalLitros, sum(desconto) as Descontos FROM abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei' GROUP BY tipo_combu, p_litro";

            $itens = "SELECT COUNT(*) AS number FROM abastecimentos where (data_abast >= '$dataInicial' and data_abast <= '$dataFinal') and cod_vei = '$cod_vei'";
          } else {
            $query_entradas = "select * from abastecimentos where data_abast >= '$dataInicial' and data_abast <= '$dataFinal' and veiculo = '$status' order by data_abast asc";
          }
        } else {
          $query_entradas = "select SUM(total_abast) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) order by data_abast asc";

          $query_saidas = "select SUM(total_abast) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) order by data_abast asc";

          $gasolina = "select SUM(total_abast) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Gasolina comum' order by data_abast asc";

          $gasolina_q = "select SUM(litros) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Gasolina comum' order by data_abast asc";

          $gasolina_aditivada = "select SUM(total_abast) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Gasolina adivitivada' order by data_abast asc";

          $gasolina_aditivadaq = "select SUM(litros) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Gasolina adivitivada' order by data_abast asc";

          $diesel = "select SUM(total_abast) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Diesel comum' order by data_abast asc";

          $dieselq = "select SUM(litros) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Diesel comum' order by data_abast asc";

          $diesel_s10 = "select SUM(total_abast) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Diesel s10' order by data_abast asc";

          $diesel_s10q = "select SUM(litros) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Diesel s10' order by data_abast asc";

          $group = "SELECT tipo_combu,p_litro, SUM(litros) As TotalLitros, sum(desconto) as Descontos FROM abastecimentos GROUP BY tipo_combu, p_litro";

          $itens = "SELECT COUNT(*) AS number FROM abastecimentos";
        }

        /*
        DIEGO - 09/12/2021
        ADICIONADO SQL PARA LISTAR TIPO E PREÇO DO COMBUSTÍVEL
        */
        /*$sql_itens = "SELECT TIPO_COMBU, P_LITRO FROM abastecimentos WHERE 1 = 1 ";

        if ($_GET['dataInicial'] != '') {
          $sql_itens .= " AND (DATA_ABAST BETWEEN '$dataInicial' AND '$dataFinal') ";
        }

        if ($_GET['contrato'] != '') {
          $sql_itens .= " AND (CONTRATO = '$contrato') ";
        }

        if ($_GET['cod_vei'] != '') {
          $sql_itens .= " AND (cod_vei = '$cod_vei') ";
        }

        $sql_itens .= " ORDER BY TIPO_COMBU, P_LITRO";*/

        $sql_itens_group = "SELECT TIPO_COMBU, P_LITRO FROM abastecimentos WHERE 1 = 1 ";

        if ($_GET['dataInicial'] != '') {
          $sql_itens_group .= " AND (DATA_ABAST BETWEEN '$dataInicial' AND '$dataFinal') ";
        }

        if ($_GET['contrato'] != '') {
          $sql_itens_group .= " AND (CONTRATO = '$contrato') ";
        }

        if ($_GET['cod_vei'] != '') {
          $sql_itens_group .= " AND (cod_vei = '$cod_vei') ";
        }

        $sql_itens_group .= " GROUP BY TIPO_COMBU, P_LITRO ORDER BY TIPO_COMBU, P_LITRO";
        /*
        FIM
        */

        $result_entradas = mysqli_query($conexao, $query_entradas);

        $result_saidas = mysqli_query($conexao, $query_saidas);

        $result_gasolina = mysqli_query($conexao, $gasolina);

        $result_gasolina_q = mysqli_query($conexao, $gasolina_q);

        $result_gasolina_aditivada = mysqli_query($conexao, $gasolina_aditivada);

        $result_gasolina_aditivadaq = mysqli_query($conexao, $gasolina_aditivadaq);

        $result_diesel = mysqli_query($conexao, $diesel);

        $result_dieselq = mysqli_query($conexao, $dieselq);

        $result_diesel_s10 = mysqli_query($conexao, $diesel_s10);

        $result_diesel_s10q = mysqli_query($conexao, $diesel_s10q);

        $result_group = mysqli_query($conexao, $group);

        /* DIEGO - 12/09/2021 */
        //$result_sql_itens = mysqli_query($conexao, $sql_itens);
        $result_sql_itens_group = mysqli_query($conexao, $sql_itens_group);
        /* FIM */

        $result_itens = mysqli_query($conexao, $itens);

        while ($res_1 = mysqli_fetch_array($result_entradas)) {
          $total_entradas = $res_1["total"];

          while ($res_2 = mysqli_fetch_array($result_saidas)) {
            $total_saidas = $res_2["total"];

            while ($res_3 = mysqli_fetch_array($result_gasolina)) {
              $gasolina_c = $res_3["total"];

              while ($res_4 = mysqli_fetch_array($result_gasolina_aditivada)) {
                $gasolina_a = $res_4["total"];

                while ($res_5 = mysqli_fetch_array($result_diesel)) {
                  $diesel_c = $res_5["total"];

                  while ($res_6 = mysqli_fetch_array($result_diesel_s10)) {
                    $diesel10 = $res_6["total"];

                    while ($res_7 = mysqli_fetch_array($result_gasolina_q)) {
                      $galosinaq = $res_7["total"];

                      while ($res_8 = mysqli_fetch_array($result_gasolina_aditivadaq)) {
                        $gasolina_aq = $res_8["total"];

                        while ($res_9 = mysqli_fetch_array($result_dieselq)) {
                          $dieselq = $res_9["total"];

                          while ($res_10 = mysqli_fetch_array($result_diesel_s10q)) {
                            $diesel10q = $res_10["total"];

                            while ($res_11 = mysqli_fetch_array($result_itens)) {
                              $itens = $res_11["number"];
      ?>

                              <div class="row mt-3">
                                <div class="col-md-6">

                                </div>
                                <div class="col-md-12">
                                  <?php

                                  $total_gastos = 0;
                                  $total_g = 0;
                                  $total_gastos2 = 0;

                                  while ($res_group = mysqli_fetch_array($result_sql_itens_group)) {
                                    $TIPO_COMBU = $res_group["TIPO_COMBU"];
                                    $P_LITRO = $res_group["P_LITRO"];

                                    $sql_itens = "SELECT P_LITRO, LITROS, DESCONTO, TOTAL_ABAST  FROM abastecimentos WHERE 1 = 1 ";

                                    if ($_GET['dataInicial'] != '') {
                                      $sql_itens .= " AND (DATA_ABAST BETWEEN '$dataInicial' AND '$dataFinal') ";
                                    }

                                    if ($_GET['contrato'] != '') {
                                      $sql_itens .= " AND (CONTRATO = '$contrato') ";
                                    }

                                    if ($_GET['cod_vei'] != '') {
                                      $sql_itens .= " AND (cod_vei = '$cod_vei') ";
                                    }

                                    $sql_itens .= " AND (TIPO_COMBU = '$TIPO_COMBU') ";
                                    $sql_itens .= " AND (P_LITRO = '$P_LITRO') ";
                                    $sql_itens .= " ORDER BY TIPO_COMBU, P_LITRO";

                                    $result_sql_itens = mysqli_query($conexao, $sql_itens);

                                    $litros_ = 0;
                                    $desconto = 0;
                                    $total_ab = 0;

                                    while ($res_prod = mysqli_fetch_array($result_sql_itens)) {
                                      $litros_ = $litros_ + $res_prod["LITROS"];
                                      $desconto = $desconto + $res_prod["DESCONTO"];
                                      $total_ab = $total_ab + $res_prod["TOTAL_ABAST"];
                                    }
                                  ?>

                                    <p align="left">                                      
                                      <font size="3"><b><?php echo $TIPO_COMBU ?> :</b> &nbsp;&nbsp;&nbsp;&nbsp; <b>Valor:</b> R$ <?php echo number_format(($P_LITRO), 3, ',', '.'); ?> | <b>Quantidade:</b> <?php echo number_format(($litros_), 3, ',', '.'); ?>/L |<b> Total:</b> R$ <?php echo number_format(($total_ab), 2, ',', '.'); ?></font>
                                    </p>

                                  <?php 
                                      $total_gastos2 = $total_gastos2 + $total_ab;
                                      } 
                                  ?>

                                  <p align="left">
                                    <font size="3"><b>Itens:</b> <?php echo $itens; ?></font>
                                  </p>

                                  <p align="left">
                                    <font size="3"><b>Total: R$ <?php echo number_format(($total_gastos2), 2, ',', '.'); ?></b></font>
                                  </p>
                                </div>
                      <?php }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
        ?>
                              </div>
</body>

</html>